Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class WarRootDeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy
          org.jboss.seam.deployment.WarRootDeploymentStrategy

    public class WarRootDeploymentStrategy

extends DeploymentStrategy

A special deployment strategy that can be used to scan the war root. This is treated as a special case.

Author:
  pmuir

Field Summary
`static String` | `HANDLERS_KEY`
`static String` | `NAME`

Fields inherited from class org.jboss.seam.deployment.DeploymentStrategy
`SCANNERS_KEY`

Constructor Summary
`WarRootDeploymentStrategy(ClassLoader classLoader, File warRoot, javax.servlet.ServletContext servletContext)`
`WarRootDeploymentStrategy(ClassLoader classLoader, File warRoot, javax.servlet.ServletContext servletContext, File[] excludedDirectories)`

Method Summary
`ClassLoader` | `getClassLoader()` Get the classloader to use
`protected String` | `getDeploymentHandlersKey()`
`Set<FileDescriptor>` | `getDotPageDotXmlFileNames()`
`File[]` | `getExcludedDirectories()`
`javax.servlet.ServletContext` | `getServletContext()` Get the ServletContext to use
`void` | `scan()` Do the scan for resources Should only be called by Seam

Methods inherited from class org.jboss.seam.deployment.DeploymentStrategy
`getDeploymentHandlers, getFiles, getScanner, getTimestamp, initScanner, postScan, setFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLERS_KEY

    public static final String HANDLERS_KEY

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### WarRootDeploymentStrategy

    public WarRootDeploymentStrategy(ClassLoader classLoader,
                                     File warRoot,
                                     javax.servlet.ServletContext servletContext)

### WarRootDeploymentStrategy

    public WarRootDeploymentStrategy(ClassLoader classLoader,
                                     File warRoot,
                                     javax.servlet.ServletContext servletContext,
                                     File[] excludedDirectories)

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from class: `DeploymentStrategy`
  Get the classloader to use

  Specified by:
    `getClassLoader` in class `DeploymentStrategy`

### getDeploymentHandlersKey

    protected String getDeploymentHandlersKey()

  Specified by:
    `getDeploymentHandlersKey` in class `DeploymentStrategy`

### scan

    public void scan()

  Description copied from class: `DeploymentStrategy`
  Do the scan for resources Should only be called by Seam

  Specified by:
    `scan` in class `DeploymentStrategy`

### getExcludedDirectories

    public File[] getExcludedDirectories()

### getDotPageDotXmlFileNames

    public Set<FileDescriptor> getDotPageDotXmlFileNames()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from class: `DeploymentStrategy`
  Get the ServletContext to use

  Specified by:
    `getServletContext` in class `DeploymentStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.